Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Class ClientJMeterEngine

    java.lang.Object
      org.apache.jmeter.engine.ClientJMeterEngine

All Implemented Interfaces:
  JMeterEngine, Runnable

public class ClientJMeterEngine
extends Object
implements JMeterEngine, Runnable

Class to run remote tests from the client JMeter and collect remote samples

Constructor Summary
`ClientJMeterEngine(String host)`

Method Summary
`void` | `configure(HashTree testTree)`
`void` | `exit()`
`void` | `reset()`
`void` | `run()`
`void` | `runTest()`
`void` | `setProperties(Properties p)`
`void` | `stopTest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientJMeterEngine

    public ClientJMeterEngine(String host)
                       throws MalformedURLException,
                              NotBoundException,
                              RemoteException

Method Detail

### configure

    public void configure(HashTree testTree)

  Specified by:
    `configure` in interface `JMeterEngine`

### runTest

    public void runTest()

  Specified by:
    `runTest` in interface `JMeterEngine`

### stopTest

    public void stopTest()

  Specified by:
    `stopTest` in interface `JMeterEngine`

### reset

    public void reset()

  Specified by:
    `reset` in interface `JMeterEngine`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### exit

    public void exit()

  Specified by:
    `exit` in interface `JMeterEngine`

### setProperties

    public void setProperties(Properties p)

  Specified by:
    `setProperties` in interface `JMeterEngine`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.